Bug 1390559 - yum_update.sh does not update OPM dependencies
Summary: yum_update.sh does not update OPM dependencies
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: rc
: 10.0 (Newton)
Assignee: Lukas Bezdicka
QA Contact: Alexander Chuzhoy
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-01 12:05 UTC by Lukas Bezdicka
Modified: 2016-12-29 17:01 UTC (History)
8 users (show)

Fixed In Version: openstack-tripleo-heat-templates-5.0.0-1.4.el7ost
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2016-12-14 16:27:14 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC
OpenStack gerrit 392260 None None None 2016-11-07 10:00:35 UTC
OpenStack gerrit 393797 None None None 2016-11-04 18:53:12 UTC
Launchpad 1638266 None None None 2016-11-01 12:08:57 UTC
Launchpad 1638346 None None None 2016-11-07 10:16:11 UTC

Description Lukas Bezdicka 2016-11-01 12:05:01 UTC
Description of problem:
openstack-puppet-modules package is now only metadata package and it does not have versioned dependencies. This causes us to use old puppet modules after update.

Comment 1 Marios Andreou 2016-11-07 10:00:36 UTC
There is another review besides the /#/c/393797/ and /#/c/392123/ linked above (they are the same review, master and stable... removing  the master to prevent confusion. The relevant one is stable/newton).

The other change is https://review.openstack.org/#/c/392260/ " Ensure we update ceph and composable nodes" which is still in review/waiting on CI and has 'fixes-bug' for the upstream bug @ https://bugs.launchpad.net/ubuntu/+source/tripleo-heat-templates/+bug/1638346. So moving this back to ASSIGNED for now... needinfo @lbezdick please confirm.

thanks

Comment 2 Marios Andreou 2016-11-07 10:16:11 UTC
I also see there are two upstream bugs for each of the two reviews needed so adding the other one to external trackers too. https://bugs.launchpad.net/ubuntu/+source/tripleo-heat-templates/+bug/1638346

Comment 11 Alexander Chuzhoy 2016-11-21 19:15:06 UTC
Seeing the following on an update setup:

[stack@undercloud-0 ~]$ sudo grep -i puppet /var/log/yum.log |grep -i update
Nov 21 12:32:51 Updated: openstack-tripleo-puppet-elements-5.1.0-2.el7ost.noarch
Nov 21 12:34:04 Updated: puppet-tripleo-5.4.0-2.el7ost.noarch
Nov 21 12:34:04 Updated: puppet-neutron-9.4.0-4.el7ost.noarch



[stack@undercloud-0 ~]$ nova list
+--------------------------------------+--------------+--------+------------+-------------+---------------------+
| ID                                   | Name         | Status | Task State | Power State | Networks            |
+--------------------------------------+--------------+--------+------------+-------------+---------------------+
| 3c19c35a-47aa-4605-8888-bc8c90240049 | compute-0    | ACTIVE | -          | Running     | ctlplane=192.0.2.8  |
| dc4aae84-0920-4f88-9ab9-a8134c155647 | compute-1    | ACTIVE | -          | Running     | ctlplane=192.0.2.11 |
| f445152b-c3e2-445c-a9dc-65a15d899978 | controller-0 | ACTIVE | -          | Running     | ctlplane=192.0.2.6  |
| e3c09c52-3110-405e-8dbe-a34dfbf9527c | controller-1 | ACTIVE | -          | Running     | ctlplane=192.0.2.16 |
| 152fe3fe-ee6f-428b-a0a2-2ad8f0fdc6b4 | controller-2 | ACTIVE | -          | Running     | ctlplane=192.0.2.14 |
+--------------------------------------+--------------+--------+------------+-------------+---------------------+

[stack@undercloud-0 ~]$ for i in 6 8 11 14 16; do ssh heat-admin@192.0.2.$i "hostname; sudo grep -i puppet /var/log/yum.log |grep -i update"; done
controller-0.localdomain
Nov 21 18:14:13 Updated: python-heat-agent-puppet-0-0.8.1e6015dgit.el7ost.noarch
Nov 21 18:14:15 Updated: puppet-tripleo-5.4.0-2.el7ost.noarch
Nov 21 18:14:15 Updated: puppet-neutron-9.4.0-4.el7ost.noarch
compute-0.localdomain
Nov 21 18:07:52 Updated: puppet-neutron-9.4.0-4.el7ost.noarch
Nov 21 18:07:52 Updated: puppet-tripleo-5.4.0-2.el7ost.noarch
Nov 21 18:22:37 Updated: python-heat-agent-puppet-0-0.8.1e6015dgit.el7ost.noarch
compute-1.localdomain
Nov 21 18:10:29 Updated: puppet-neutron-9.4.0-4.el7ost.noarch
Nov 21 18:10:29 Updated: puppet-tripleo-5.4.0-2.el7ost.noarch
Nov 21 18:22:47 Updated: python-heat-agent-puppet-0-0.8.1e6015dgit.el7ost.noarch
controller-2.localdomain
Nov 21 17:51:53 Updated: python-heat-agent-puppet-0-0.8.1e6015dgit.el7ost.noarch
Nov 21 17:51:56 Updated: puppet-tripleo-5.4.0-2.el7ost.noarch
Nov 21 17:51:56 Updated: puppet-neutron-9.4.0-4.el7ost.noarch
controller-1.localdomain
Nov 21 18:00:26 Updated: python-heat-agent-puppet-0-0.8.1e6015dgit.el7ost.noarch
Nov 21 18:00:29 Updated: puppet-tripleo-5.4.0-2.el7ost.noarch
Nov 21 18:00:29 Updated: puppet-neutron-9.4.0-4.el7ost.noarch

Comment 14 Alexander Chuzhoy 2016-11-22 14:13:32 UTC
Verified:
Verifying per comment #11.

Comment 16 errata-xmlrpc 2016-12-14 16:27:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.